2017-09-24 07:34 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000157Cheat Enginepublic2011-12-31 10:08
Reporterjgoemat 
Assigned ToDark Byte 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000157: LUA createHotkey(func, key) doesn't work
DescriptionIt will not work if a function is passed, but calling generichotkey_setKeys on the result will make it work. This is only a problem if an actual function is passed, a string works fine.
Additional InformationIt appears to be a bug in createHotkey in LuaHandler. It might be that luaL_ref pops the function off the stack whereas lua_tostring does not...
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000313

Dark Byte (developer)

yeah, saw this one a while back. Still need to fix it

~0000315

Dark Byte (developer)

fixed in svn
+Notes

-Issue History
Date Modified Username Field Change
2011-12-18 15:48 jgoemat New Issue
2011-12-18 20:10 Dark Byte Note Added: 0000313
2011-12-18 20:10 Dark Byte Status new => confirmed
2011-12-31 10:08 Dark Byte Note Added: 0000315
2011-12-31 10:08 Dark Byte Status confirmed => resolved
2011-12-31 10:08 Dark Byte Resolution open => fixed
2011-12-31 10:08 Dark Byte Assigned To => Dark Byte
+Issue History